Package org.codehaus.groovy.util

# Class ListBufferedIterator<T>

java.lang.Object
org.codehaus.groovy.util.ListBufferedIterator<T>

All Implemented Interfaces:
  `BufferedIterator<T>`, `Iterator<T>`

public class ListBufferedIterator<T> extends Object implements BufferedIterator<T>
An implementation for BufferedIterator wraps ListIterator. This version provides an implementation for remove().

Since:
  2.5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListBufferedIterator(List<T> list)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `T`
  `head()`
  Return the next element to be returned by next() without consuming it.
  `T`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### ListBufferedIterator

    public ListBufferedIterator(List<T> list)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<T>`

  - ### next

    public T next()
    Specified by:
      `next` in interface `Iterator<T>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<T>`

  - ### head

    public T head()
    Return the next element to be returned by next() without consuming it.
    Specified by:
      `head` in interface `BufferedIterator<T>`